# Asterisk Project : Asterisk 12 Application_RetryDial

Added by wikibot , edited by wikibot on Aug 29, 2013

# RetryDial()

### Synopsis

Place a call, retrying on failure allowing an optional exit extension.

### Description

This application will attempt to place a call using the normal Dial application. If no channel can be reached, the announce file will be played. Then, it will wait sleep number of seconds before retrying the call. After retries number of attempts, the calling channel will continue at the next priority in the dialplan. If the retries setting is set to 0, this application will retry endlessly. While waiting to retry a call, a 1 digit extension may be dialed. If that extension exists in either the context defined in `EXITCONTEXT` or the current one, The call will jump to that extension immediately. The dialargs are specified in the same format that arguments are provided to the Dial application.

### Syntax

    RetryDial(announce,sleep,retries,dialargs)

##### Arguments

- `announce` - Filename of sound that will be played when no channel can be reached
- `sleep` - Number of seconds to wait after a dial attempt failed before a new attempt is made
- `retries` - Number of retries
  When this is reached flow will continue at the next priority in the dialplan
- `dialargs` - Same format as arguments provided to the Dial application

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown